diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-image-editor-imagick.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-image-editor-imagick.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-image-editor-imagick.php	2013-07-22 12:13:41.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-image-editor-imagick.php	2013-10-08 12:19:09.000000000 -0500
***************
*** 242,258 ****
  	}
  
  	/**
! 	 * Processes current image and saves to disk
! 	 * multiple sizes from single source.
! 	 *
! 	 * 'width' and 'height' are required.
! 	 * 'crop' defaults to false when not provided.
  	 *
  	 * @since 3.5.0
  	 * @access public
  	 *
! 	 * @param array $sizes { {'width'=>int, 'height'=>int, ['crop'=>bool]}, ... }
! 	 * @return array
  	 */
  	public function multi_resize( $sizes ) {
  		$metadata = array();
--- 242,262 ----
  	}
  
  	/**
! 	 * Resize multiple images from a single source.
  	 *
  	 * @since 3.5.0
  	 * @access public
  	 *
! 	 * @param array $sizes {
! 	 *     An array of image size arrays. Default sizes are 'small', 'medium', 'large'.
! 	 *
! 	 *     @type array $size {
! 	 *         @type int  $width  Image width.
! 	 *         @type int  $height Image height.
! 	 *         @type bool $crop   Optional. Whether to crop the image. Default false.
! 	 *     }
! 	 * }
! 	 * @return array An array of resized images metadata by size.
  	 */
  	public function multi_resize( $sizes ) {
  		$metadata = array();
***************
*** 352,362 ****
  		 */
  		try {
  			$this->image->rotateImage( new ImagickPixel('none'), 360-$angle );
  		}
  		catch ( Exception $e ) {
  			return new WP_Error( 'image_rotate_error', $e->getMessage() );
  		}
! 		return $this->update_size();
  	}
  
  	/**
--- 356,373 ----
  		 */
  		try {
  			$this->image->rotateImage( new ImagickPixel('none'), 360-$angle );
+ 
+ 			// Since this changes the dimensions of the image, update the size.
+ 			$result = $this->update_size();
+ 			if ( is_wp_error( $result ) )
+ 				return $result;
+ 
+ 			$this->image->setImagePage( $this->size['width'], $this->size['height'], 0, 0 );
  		}
  		catch ( Exception $e ) {
  			return new WP_Error( 'image_rotate_error', $e->getMessage() );
  		}
! 		return true;
  	}
  
  	/**
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-image-editor.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-image-editor.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-image-editor.php	2013-07-17 16:16:44.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-image-editor.php	2013-10-08 12:19:09.000000000 -0500
***************
*** 94,111 ****
  	abstract public function resize( $max_w, $max_h, $crop = false );
  
  	/**
! 	 * Processes current image and saves to disk
! 	 * multiple sizes from single source.
! 	 *
! 	 * 'width' and 'height' are required.
! 	 * 'crop' defaults to false when not provided.
  	 *
  	 * @since 3.5.0
  	 * @access public
  	 * @abstract
  	 *
! 	 * @param array $sizes { {'width'=>int, 'height'=>int, ['crop'=>bool]}, ... }
! 	 * @return array
  	 */
  	abstract public function multi_resize( $sizes );
  
--- 94,115 ----
  	abstract public function resize( $max_w, $max_h, $crop = false );
  
  	/**
! 	 * Resize multiple images from a single source.
  	 *
  	 * @since 3.5.0
  	 * @access public
  	 * @abstract
  	 *
! 	 * @param array $sizes {
! 	 *     An array of image size arrays. Default sizes are 'small', 'medium', 'large'.
! 	 *
! 	 *     @type array $size {
! 	 *         @type int  $width  Image width.
! 	 *         @type int  $height Image height.
! 	 *         @type bool $crop   Optional. Whether to crop the image. Default false.
! 	 *     }
! 	 * }
! 	 * @return array An array of resized images metadata by size.
  	 */
  	abstract public function multi_resize( $sizes );
  
***************
*** 204,209 ****
--- 208,220 ----
  	 * @return boolean
  	 */
  	public function set_quality( $quality ) {
+ 		/**
+ 		 * Filter the default quality setting.
+ 		 *
+ 		 * @since 3.5.0
+ 		 *
+ 		 * @param int $quality Quality level between 0 (low) and 100 (high).
+ 		 */
  		$this->quality = apply_filters( 'wp_editor_set_quality', $quality );
  
  		return ( (bool) $this->quality );
***************
*** 253,258 ****
--- 264,278 ----
  		// Double-check that the mime-type selected is supported by the editor.
  		// If not, choose a default instead.
  		if ( ! $this->supports_mime_type( $mime_type ) ) {
+ 			/**
+ 			 * Filter default mime type prior to getting the file extension.
+ 			 *
+ 			 * @see wp_get_mime_types()
+ 			 *
+ 			 * @since 3.5.0
+ 			 *
+ 			 * @param string $mime_type Mime type string.
+ 			 */
  			$mime_type = apply_filters( 'image_editor_default_mime_type', $this->default_mime_type );
  			$new_ext = $this->get_extension( $mime_type );
  		}
***************
*** 330,337 ****
  		if ( $stream = wp_is_stream( $filename ) ) {
  			ob_start();
  		} else {
! 			// The directory containing the original file may no longer exist when using a replication plugin. 
! 			wp_mkdir_p( dirname( $filename ) ); 
  		}
  
  		$result = call_user_func_array( $function, $arguments );
--- 350,357 ----
  		if ( $stream = wp_is_stream( $filename ) ) {
  			ob_start();
  		} else {
! 			// The directory containing the original file may no longer exist when using a replication plugin.
! 			wp_mkdir_p( dirname( $filename ) );
  		}
  
  		$result = call_user_func_array( $function, $arguments );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp.php	2013-03-01 11:51:16.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp.php	2013-10-02 22:15:08.000000000 -0500
***************
*** 141,162 ****
  			$error = '404';
  			$this->did_permalink = true;
  
! 			if ( isset($_SERVER['PATH_INFO']) )
! 				$pathinfo = $_SERVER['PATH_INFO'];
! 			else
! 				$pathinfo = '';
! 			$pathinfo_array = explode('?', $pathinfo);
! 			$pathinfo = str_replace("%", "%25", $pathinfo_array[0]);
! 			$req_uri = $_SERVER['REQUEST_URI'];
! 			$req_uri_array = explode('?', $req_uri);
! 			$req_uri = $req_uri_array[0];
  			$self = $_SERVER['PHP_SELF'];
! 			$home_path = parse_url(home_url());
! 			if ( isset($home_path['path']) )
! 				$home_path = $home_path['path'];
! 			else
! 				$home_path = '';
! 			$home_path = trim($home_path, '/');
  
  			// Trim path info from the end and the leading home path from the
  			// front. For path info requests, this leaves us with the requesting
--- 141,153 ----
  			$error = '404';
  			$this->did_permalink = true;
  
! 			$pathinfo = isset( $_SERVER['PATH_INFO'] ) ? $_SERVER['PATH_INFO'] : '';
! 			list( $pathinfo ) = explode( '?', $pathinfo );
! 			$pathinfo = str_replace( "%", "%25", $pathinfo );
! 
! 			list( $req_uri ) = explode( '?', $_SERVER['REQUEST_URI'] );
  			$self = $_SERVER['PHP_SELF'];
! 			$home_path = trim( parse_url( home_url(), PHP_URL_PATH ), '/' );
  
  			// Trim path info from the end and the leading home path from the
  			// front. For path info requests, this leaves us with the requesting
***************
*** 247,253 ****
  
  		$this->public_query_vars = apply_filters('query_vars', $this->public_query_vars);
  
! 		foreach ( $GLOBALS['wp_post_types'] as $post_type => $t )
  			if ( $t->query_var )
  				$post_type_query_vars[$t->query_var] = $post_type;
  
--- 238,244 ----
  
  		$this->public_query_vars = apply_filters('query_vars', $this->public_query_vars);
  
! 		foreach ( get_post_types( array(), 'objects' ) as $post_type => $t )
  			if ( $t->query_var )
  				$post_type_query_vars[$t->query_var] = $post_type;
  
***************
*** 280,286 ****
  		}
  
  		// Convert urldecoded spaces back into +
! 		foreach ( $GLOBALS['wp_taxonomies'] as $taxonomy => $t )
  			if ( $t->query_var && isset( $this->query_vars[$t->query_var] ) )
  				$this->query_vars[$t->query_var] = str_replace( ' ', '+', $this->query_vars[$t->query_var] );
  
--- 271,277 ----
  		}
  
  		// Convert urldecoded spaces back into +
! 		foreach ( get_taxonomies( array() , 'objects' ) as $taxonomy => $t )
  			if ( $t->query_var && isset( $this->query_vars[$t->query_var] ) )
  				$this->query_vars[$t->query_var] = str_replace( ' ', '+', $this->query_vars[$t->query_var] );
  
***************
*** 337,342 ****
--- 328,334 ----
  		} else {
  			// We're showing a feed, so WP is indeed the only thing that last changed
  			if ( !empty($this->query_vars['withcomments'])
+ 				|| false !== strpos( $this->query_vars['feed'], 'comments-' )
  				|| ( empty($this->query_vars['withoutcomments'])
  					&& ( !empty($this->query_vars['p'])
  						|| !empty($this->query_vars['name'])
***************
*** 441,448 ****
--- 433,444 ----
  	 * WordPress environment.
  	 *
  	 * @global string $query_string Query string for the loop.
+ 	 * @global array $posts The found posts.
+ 	 * @global WP_Post|null $post The current post, if available.
+ 	 * @global string $request The SQL statement for the request.
  	 * @global int $more Only set, if single page or post.
  	 * @global int $single If single page or post. Only set, if single page or post.
+ 	 * @global WP_User $authordata Only set, if author archive.
  	 *
  	 * @since 2.0.0
  	 */
***************
*** 448,467 ****
  	 */
  	function register_globals() {
  		global $wp_query;
  		// Extract updated query vars back into global namespace.
! 		foreach ( (array) $wp_query->query_vars as $key => $value) {
! 			$GLOBALS[$key] = $value;
  		}
  
  		$GLOBALS['query_string'] = $this->query_string;
  		$GLOBALS['posts'] = & $wp_query->posts;
! 		$GLOBALS['post'] = (isset($wp_query->post)) ? $wp_query->post : null;
  		$GLOBALS['request'] = $wp_query->request;
  
! 		if ( is_single() || is_page() ) {
! 			$GLOBALS['more'] = 1;
  			$GLOBALS['single'] = 1;
  		}
  	}
  
  	/**
--- 444,467 ----
  	 */
  	function register_globals() {
  		global $wp_query;
+ 
  		// Extract updated query vars back into global namespace.
! 		foreach ( (array) $wp_query->query_vars as $key => $value ) {
! 			$GLOBALS[ $key ] = $value;
  		}
  
  		$GLOBALS['query_string'] = $this->query_string;
  		$GLOBALS['posts'] = & $wp_query->posts;
! 		$GLOBALS['post'] = isset( $wp_query->post ) ? $wp_query->post : null;
  		$GLOBALS['request'] = $wp_query->request;
  
! 		if ( $wp_query->is_single() || $wp_query->is_page() ) {
! 			$GLOBALS['more']   = 1;
  			$GLOBALS['single'] = 1;
  		}
+ 
+ 		if ( $wp_query->is_author() && isset( $wp_query->post ) )
+ 			$GLOBALS['authordata'] = get_userdata( $wp_query->post->post_author );
  	}
  
  	/**
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class.wp-scripts.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class.wp-scripts.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class.wp-scripts.php	2013-07-10 00:38:17.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class.wp-scripts.php	2013-09-16 17:12:09.000000000 -0500
***************
*** 119,124 ****
--- 119,127 ----
  
  		$src = esc_url( apply_filters( 'script_loader_src', $src, $handle ) );
  
+ 		if ( ! $src )
+ 			return true;
+ 
  		if ( $this->do_concat )
  			$this->print_html .= "<script type='text/javascript' src='$src'></script>\n";
  		else
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class.wp-styles.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class.wp-styles.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class.wp-styles.php	2013-04-22 14:22:09.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class.wp-styles.php	2013-10-15 09:35:09.000000000 -0500
***************
*** 87,93 ****
  
  		if ( $this->do_concat ) {
  			$this->print_html .= $tag;
! 			$this->print_html .= $this->print_inline_style( $handle, false );
  		} else {
  			echo $tag;
  			$this->print_inline_style( $handle );
--- 87,94 ----
  
  		if ( $this->do_concat ) {
  			$this->print_html .= $tag;
! 			if ( $inline_style = $this->print_inline_style( $handle, false ) )
! 				$this->print_html .= sprintf( "<style type='text/css'>\n%s\n</style>\n", $inline_style );
  		} else {
  			echo $tag;
  			$this->print_inline_style( $handle );
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-theme.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-theme.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-theme.php	2013-07-08 08:04:07.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-theme.php	2013-10-02 15:50:09.000000000 -0500
***************
*** 206,212 ****
  		} elseif ( ! file_exists( $this->theme_root . '/' . $theme_file ) ) {
  			$this->headers['Name'] = $this->stylesheet;
  			if ( ! file_exists( $this->theme_root . '/' . $this->stylesheet ) )
! 				$this->errors = new WP_Error( 'theme_not_found', __( 'The theme directory does not exist.' ) );
  			else
  				$this->errors = new WP_Error( 'theme_no_stylesheet', __( 'Stylesheet is missing.' ) );
  			$this->template = $this->stylesheet;
--- 206,212 ----
  		} elseif ( ! file_exists( $this->theme_root . '/' . $theme_file ) ) {
  			$this->headers['Name'] = $this->stylesheet;
  			if ( ! file_exists( $this->theme_root . '/' . $this->stylesheet ) )
! 				$this->errors = new WP_Error( 'theme_not_found', sprintf( __( 'The theme directory "%s" does not exist.' ), $this->stylesheet ) );
  			else
  				$this->errors = new WP_Error( 'theme_no_stylesheet', __( 'Stylesheet is missing.' ) );
  			$this->template = $this->stylesheet;
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-walker.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-walker.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-walker.php	2013-05-27 22:29:15.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-walker.php	2013-10-23 09:40:10.000000000 -0500
***************
*** 2,15 ****
  /**
   * A class for displaying various tree-like structures.
   *
!  * Extend the Walker class to use it, see examples at the below. Child classes
   * do not need to implement all of the abstract methods in the class. The child
!  * only needs to implement the methods that are needed. Also, the methods are
!  * not strictly abstract in that the parameter definition needs to be followed.
!  * The child classes can have additional parameters.
   *
-  * @package WordPress
   * @since 2.1.0
   * @abstract
   */
  class Walker {
--- 2,14 ----
  /**
   * A class for displaying various tree-like structures.
   *
!  * Extend the Walker class to use it, see examples below. Child classes
   * do not need to implement all of the abstract methods in the class. The child
!  * only needs to implement the methods that are needed.
   *
   * @since 2.1.0
+  *
+  * @package WordPress
   * @abstract
   */
  class Walker {
***************
*** 43,99 ****
  	/**
  	 * Starts the list before the elements are added.
  	 *
! 	 * Additional parameters are used in child classes. The args parameter holds
! 	 * additional values that may be used with the child class methods. This
! 	 * method is called at the start of the output list.
  	 *
  	 * @since 2.1.0
  	 * @abstract
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
  	function start_lvl( &$output, $depth = 0, $args = array() ) {}
  
  	/**
  	 * Ends the list of after the elements are added.
  	 *
! 	 * Additional parameters are used in child classes. The args parameter holds
! 	 * additional values that may be used with the child class methods. This
! 	 * method finishes the list at the end of output of the elements.
  	 *
  	 * @since 2.1.0
  	 * @abstract
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function end_lvl( &$output, $depth = 0, $args = array() )   {}
  
  	/**
  	 * Start the element output.
  	 *
! 	 * Additional parameters are used in child classes. The args parameter holds
! 	 * additional values that may be used with the child class methods. Includes
! 	 * the element output also.
  	 *
  	 * @since 2.1.0
  	 * @abstract
  	 *
! 	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function start_el( &$output, $object, $depth = 0, $args = array(), $current_object_id = 0 )  {}
  
  	/**
  	 * Ends the element output, if needed.
  	 *
! 	 * Additional parameters are used in child classes. The args parameter holds
! 	 * additional values that may be used with the child class methods.
  	 *
  	 * @since 2.1.0
  	 * @abstract
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
  	 */
! 	function end_el( &$output, $object, $depth = 0, $args = array() )    {}
  
  	/**
  	 * Traverse elements to create list from elements.
--- 42,105 ----
  	/**
  	 * Starts the list before the elements are added.
  	 *
! 	 * The $args parameter holds additional values that may be used with the child
! 	 * class methods. This method is called at the start of the output list.
  	 *
  	 * @since 2.1.0
  	 * @abstract
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
+ 	 * @param int    $depth  Depth of the item.
+ 	 * @param array  $args   An array of additional arguments.
  	 */
  	function start_lvl( &$output, $depth = 0, $args = array() ) {}
  
  	/**
  	 * Ends the list of after the elements are added.
  	 *
! 	 * The $args parameter holds additional values that may be used with the child
! 	 * class methods. This method finishes the list at the end of output of the elements.
  	 *
  	 * @since 2.1.0
  	 * @abstract
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
+ 	 * @param int    $depth  Depth of the item.
+ 	 * @param array  $args   An array of additional arguments.
  	 */
! 	function end_lvl( &$output, $depth = 0, $args = array() ) {}
  
  	/**
  	 * Start the element output.
  	 *
! 	 * The $args parameter holds additional values that may be used with the child
! 	 * class methods. Includes the element output also.
  	 *
  	 * @since 2.1.0
  	 * @abstract
  	 *
! 	 * @param string $output            Passed by reference. Used to append additional content.
! 	 * @param object $object            The data object.
! 	 * @param int    $depth             Depth of the item.
! 	 * @param array  $args              An array of additional arguments.
! 	 * @param int    $current_object_id ID of the current item.
  	 */
! 	function start_el( &$output, $object, $depth = 0, $args = array(), $current_object_id = 0 ) {}
  
  	/**
  	 * Ends the element output, if needed.
  	 *
! 	 * The $args parameter holds additional values that may be used with the child class methods.
  	 *
  	 * @since 2.1.0
  	 * @abstract
  	 *
  	 * @param string $output Passed by reference. Used to append additional content.
+ 	 * @param object $object The data object.
+ 	 * @param int    $depth  Depth of the item.
+ 	 * @param array  $args   An array of additional arguments.
  	 */
! 	function end_el( &$output, $object, $depth = 0, $args = array() ) {}
  
  	/**
  	 * Traverse elements to create list from elements.
***************
*** 103,118 ****
  	 * depth and no ignore elements under that depth. It is possible to set the
  	 * max depth to include all depths, see walk() method.
  	 *
! 	 * This method shouldn't be called directly, use the walk() method instead.
  	 *
  	 * @since 2.5.0
  	 *
! 	 * @param object $element Data object
! 	 * @param array $children_elements List of elements to continue traversing.
! 	 * @param int $max_depth Max depth to traverse.
! 	 * @param int $depth Depth of current element.
! 	 * @param array $args
! 	 * @param string $output Passed by reference. Used to append additional content.
  	 * @return null Null on failure with no changes to parameters.
  	 */
  	function display_element( $element, &$children_elements, $max_depth, $depth, $args, &$output ) {
--- 109,124 ----
  	 * depth and no ignore elements under that depth. It is possible to set the
  	 * max depth to include all depths, see walk() method.
  	 *
! 	 * This method should not be called directly, use the walk() method instead.
  	 *
  	 * @since 2.5.0
  	 *
! 	 * @param object $element           Data object.
! 	 * @param array  $children_elements List of elements to continue traversing.
! 	 * @param int    $max_depth         Max depth to traverse.
! 	 * @param int    $depth             Depth of current element.
! 	 * @param array  $args              An array of arguments.
! 	 * @param string $output            Passed by reference. Used to append additional content.
  	 * @return null Null on failure with no changes to parameters.
  	 */
  	function display_element( $element, &$children_elements, $max_depth, $depth, $args, &$output ) {
***************
*** 160,175 ****
  	/**
  	 * Display array of elements hierarchically.
  	 *
! 	 * It is a generic function which does not assume any existing order of
! 	 * elements. max_depth = -1 means flatly display every element. max_depth =
! 	 * 0 means display all levels. max_depth > 0  specifies the number of
! 	 * display levels.
  	 *
  	 * @since 2.1.0
  	 *
! 	 * @param array $elements
! 	 * @param int $max_depth
! 	 * @return string
  	 */
  	function walk( $elements, $max_depth) {
  
--- 166,182 ----
  	/**
  	 * Display array of elements hierarchically.
  	 *
! 	 * Does not assume any existing order of elements.
! 	 *
! 	 * $max_depth = -1 means flatly display every element.
! 	 * $max_depth = 0 means display all levels.
! 	 * $max_depth > 0 specifies the number of display levels.
  	 *
  	 * @since 2.1.0
  	 *
! 	 * @param array $elements  An array of elements.
! 	 * @param int   $max_depth The maximum hierarchical depth.
! 	 * @return string The hierarchical item output.
  	 */
  	function walk( $elements, $max_depth) {
  
***************
*** 194,203 ****
  		}
  
  		/*
! 		 * need to display in hierarchical order
! 		 * separate elements into two buckets: top level and children elements
! 		 * children_elements is two dimensional array, eg.
! 		 * children_elements[10][] contains all sub-elements whose parent is 10.
  		 */
  		$top_level_elements = array();
  		$children_elements  = array();
--- 201,210 ----
  		}
  
  		/*
! 		 * Need to display in hierarchical order.
! 		 * Separate elements into two buckets: top level and children elements.
! 		 * Children_elements is two dimensional array, eg.
! 		 * Children_elements[10][] contains all sub-elements whose parent is 10.
  		 */
  		$top_level_elements = array();
  		$children_elements  = array();
***************
*** 209,216 ****
  		}
  
  		/*
! 		 * when none of the elements is top level
! 		 * assume the first one must be root of the sub elements
  		 */
  		if ( empty($top_level_elements) ) {
  
--- 216,223 ----
  		}
  
  		/*
! 		 * When none of the elements is top level.
! 		 * Assume the first one must be root of the sub elements.
  		 */
  		if ( empty($top_level_elements) ) {
  
***************
*** 231,238 ****
  			$this->display_element( $e, $children_elements, $max_depth, 0, $args, $output );
  
  		/*
! 		 * if we are displaying all levels, and remaining children_elements is not empty,
! 		 * then we got orphans, which should be displayed regardless
  		 */
  		if ( ( $max_depth == 0 ) && count( $children_elements ) > 0 ) {
  			$empty_array = array();
--- 238,245 ----
  			$this->display_element( $e, $children_elements, $max_depth, 0, $args, $output );
  
  		/*
! 		 * If we are displaying all levels, and remaining children_elements is not empty,
! 		 * then we got orphans, which should be displayed regardless.
  		 */
  		if ( ( $max_depth == 0 ) && count( $children_elements ) > 0 ) {
  			$empty_array = array();
***************
*** 251,261 ****
   	 * and number of elements per page, this function first determines all top level root elements
   	 * belonging to that page, then lists them and all of their children in hierarchical order.
   	 *
!  	 * @package WordPress
!  	 * @since 2.7
!  	 * @param int $max_depth = 0 means display all levels; $max_depth > 0 specifies the number of display levels.
!  	 * @param int $page_num the specific page number, beginning with 1.
!  	 * @return XHTML of the specified page of elements
   	 */
  	function paged_walk( $elements, $max_depth, $page_num, $per_page ) {
  
--- 258,271 ----
   	 * and number of elements per page, this function first determines all top level root elements
   	 * belonging to that page, then lists them and all of their children in hierarchical order.
   	 *
! 	 * $max_depth = 0 means display all levels.
! 	 * $max_depth > 0 specifies the number of display levels.
! 	 *
!  	 * @since 2.7.0
! 	 *
!  	 * @param int $max_depth The maximum hierarchical depth.
!  	 * @param int $page_num  The specific page number, beginning with 1.
!  	 * @return string XHTML of the specified page of elements
   	 */
  	function paged_walk( $elements, $max_depth, $page_num, $per_page ) {
  
***************
*** 309,317 ****
  		}
  
  		/*
! 		 * separate elements into two buckets: top level and children elements
! 		 * children_elements is two dimensional array, eg.
! 		 * children_elements[10][] contains all sub-elements whose parent is 10.
  		 */
  		$top_level_elements = array();
  		$children_elements  = array();
--- 319,327 ----
  		}
  
  		/*
! 		 * Separate elements into two buckets: top level and children elements.
! 		 * Children_elements is two dimensional array, e.g.
! 		 * $children_elements[10][] contains all sub-elements whose parent is 10.
  		 */
  		$top_level_elements = array();
  		$children_elements  = array();
***************
*** 342,348 ****
  		foreach ( $top_level_elements as $e ) {
  			$count++;
  
! 			//for the last page, need to unset earlier children in order to keep track of orphans
  			if ( $end >= $total_top && $count < $start )
  					$this->unset_children( $e, $children_elements );
  
--- 352,358 ----
  		foreach ( $top_level_elements as $e ) {
  			$count++;
  
! 			// For the last page, need to unset earlier children in order to keep track of orphans.
  			if ( $end >= $total_top && $count < $start )
  					$this->unset_children( $e, $children_elements );
  
***************
*** 377,383 ****
  		return $num;
  	}
  
! 	// unset all the children for a given top level element
  	function unset_children( $e, &$children_elements ){
  
  		if ( !$e || !$children_elements )
--- 387,393 ----
  		return $num;
  	}
  
! 	// Unset all the children for a given top level element.
  	function unset_children( $e, &$children_elements ){
  
  		if ( !$e || !$children_elements )
***************
*** 394,397 ****
  			unset( $children_elements[$id] );
  
  	}
! }
--- 404,408 ----
  			unset( $children_elements[$id] );
  
  	}
! 
! } // Walker
diff -crBPN --exclude=htaccess-dist --exclude=wp-config.php --exclude=wordpress.sql --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=1.html --exclude=2.html --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.7.pl /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-xmlrpc-server.php /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-xmlrpc-server.php
*** /home/packages/code/qi/SOURCES/wordpress-3.6.1/wp-includes/class-wp-xmlrpc-server.php	2013-07-31 01:53:06.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.7/wp-includes/class-wp-xmlrpc-server.php	2013-08-26 17:35:10.000000000 -0500
***************
*** 547,552 ****
--- 547,555 ----
  		if ( in_array( 'cap', $fields ) )
  			$_taxonomy['cap'] = (array) $taxonomy->cap;
  
+ 		if ( in_array( 'menu', $fields ) )
+ 			$_taxonomy['show_in_menu'] = (bool) $_taxonomy->show_in_menu;
+ 
  		if ( in_array( 'object_type', $fields ) )
  			$_taxonomy['object_type'] = array_unique( (array) $taxonomy->object_type );
  
